RCs of 24.0.1, 23.0.5, 22.2.8

Maintenance releases of 24.0.1, 23.0.5 and 22.2.8 are coming this Thu and RCs for those are now available on our download server.

As always, help with testing is very much welcome!

We updated our servers, did our tests, and the release candidates seem pretty decent. Still, give it a whirl and report back here so we’re even more sure that it’s good to go!

Downloads

Changelog

24.0.1 RC 1

23.0.5 RC 1

22.2.8 RC1

3 Likes

@bug-hunters here again is some yummyumm for you guys :wink:

3 Likes

Since a few updates I get the message the app Two-Factor U2F would be incompatible and would be disabled. However, it stays active and also works fine. Should I report it to the app developers or is this a nextcloud behaviour?

U2F is deprecated for chrome, and that’s why the app is not really being developed further at the moment. See on GitHub:

and

An alternative is webauthn. See:

Hi Team,

I wanted to link nextcloud to office on line, the nexcloud server is already installed and the office online server too.
I don’t have enough documentation to make this connection.
I added the office online link in nexcloud and after that I no longer know how to evolve. Need help.

Thank you.
[/uploads/default/original/3X/5/5/55d9d84741a73c6d0efd52affa40ad715d3ac04d.png]

1223,Av Lumumba
Haut Katanga /Lubumbashi
www.tmb.cd http://www.tmb.cd/

Gael Kamanga Milindi.
Dept IT / Technet
Email: g.kamanga@tmb.cd Cisco:3050 Tel:+243970011151

1 Like

Hi there, I would love to step up and help with testing, especially since the last update left my server offline for several hours and forced an unwanted OS update.

First, a bit about my sudden motivation for volunteering to help: The Debian packaging indicated that the PHP package was required, but it should have said php7.4 was required. The PHP package in Debian 10 is PHP 7.3 and 7.4 wasn’t made available until Debian 11. This left my server unusable, with an error message about 7.4 being required. I backed everything up, upgraded the OS to Debian 11, restarted the web server and everything worked out OK.

This all could have been easily avoided if the APT package simply said that it required php7.4 instead of php. Then my package manager would have informed me that I need a package that is not available, the automatic update system I have in place would not have upgraded me to the new version, and I could have scheduled a manual upgrade.

So here I am to help put in the time to build the automation which will test these things. :slightly_smiling_face: The problem that I am running into now is that there aren’t any links to packages to test, it’s only a zip file of what looks like the webroot. Testing this is obviously not going to find errors in the packaging process that bit me so recently.

Is there a place where I can download apt files for the release candidates?

To get actual PHP packages, you need to install the sury repository. Follow this guide:
https://computingforgeeks.com/how-to-install-php-on-debian-linux-2/
I just upgraded my nextcloud instance to 24.0.0 and it runs fine on PHP8.1.

It would be great if the mail app would become available in 24.0.1, only thing missing on my freshly installed Nextcloud server on Ubuntu 22.04 and php 8.1. Nextcloud runs more smooth now than ever on my “server” (reasonable third hand desktop computer in the back of a closet)

Mail app doesn’t appear in the app store for me. Can’t imagine I did something wrong installing, everything was installed fresh, server and Nextcloud. I get a green check for my config. And calendar and contacts are working fine.

And I can´t install manually, gives me an Error: Could not download app mail
I used the following command: sudo -u www-data php --define apc.enable_cli=1 occ app:install mail

Mail app is not yet compatible with PHP 8.1.

1 Like

I think I might have been unclear. I want nextcloud-server-24.0.1-rc1.deb so I can test it out before it is released.

Thanks for the answer. Hope this will get resolved soon then. But Iḿ glad it has nothing to do with my configuration nextcloud wrong.

deb packages are not made by us, but for Debian by the Debian people. We only provide tar balls that the distros may pick up.

1 Like

As others said, there are no Debian packages of release candidates. But it is really easy to install nextcloud from the tarball. The 24.0.0-rc1 you will find here.
https://download.nextcloud.com/server/prereleases/

Server 24.0.1 Unable to open documents via the dashboard just get a spining cicle. Anyone else having this issue. Tested with Onlyoffice and officeonline same results.

A post was split to a new topic: Talk on an offline Server